$(function () {
    function ValidTemp() {
        var ProductName = $("#ProductName"),
        FreeDays = $("#FreeDays")
        allFields = $([])
                .add(ProductName).add(FreeDays)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        if (FreeDays[0]) {
            bValid = bValid && checkNumlength(FreeDays, "试用天数", 0, 2147483647);
        }
        if (ProductName[0]) {
            bValid = bValid && checkLength(ProductName, "产品名称", 3, 16);
        }
        return bValid;
    };

    //$("#ClassType").change(function () {
    //    if (getUrlVaule("Action") == "Edit") {
    //        alert("编辑产品禁止修改类型，如需修改，请删除重新创建产品");
    //        window.history.back();
    //        return false;
    //    }
    //    $(".TabStepSelect").live("html"); //绑定html
    //    $(".TabStepSelect").html("<input class=\"textClassType\" type=\"hidden\" value=\"0\">"); //重新赋值
    //    $(".TabStepSelect .textClassType").val($(this).val()); //为类型赋值
    //    AjaxForAppend(5000, "/Common/ashx/global.ashx", { "Action": "GetClassSelect", "Id": 0, "SelectName": "ClassId", "ClassType": $(".TabStepSelect .textClassType").val() }, $(".TabStepSelect"), "");
    //    CommonGetAjax(5000, "/Common/ashx/global.ashx", { "Action": "GetTempSelect", "ClassType": $(this).val(), "SelectName": "TempId", "DefaultId": $("#TempDefaultId").val() }, $(".TempSelect"), "获取失败");
    //    CommonGetAjax(5000, "/Common/ashx/global.ashx", { "Action": "GetPlaceIdsSelect", "ClassType": $(this).val(), "CheckBoxName": "PlaceIds" }, $(".PlaceIdsSelect"), "获取失败");
    //    $(".PriceSetting fieldset,.PriceSetting div").remove();
    //    AjaxForAppend(5000, "default.aspx", { "Action": "DefaultPriceSet", "ClassType": $(this).val() }, $(".PriceSetting"), "获取失败");
    //});
    $("[name=PlaceIds]").live("click", function () {
        var PriceList = $(".PriceSetting .plist" + $(this).val());
        if (PriceList.length > 0) {
            if ($(this).attr("checked") != "checked") {//如果没选中
                PriceList.remove();
            }
        } else {
            if ($(this).attr("checked") == "checked") {//如果有选中
                var id = getUrlVaule("id");
                AjaxForAppend(5000, "default.aspx", { "Action": "GetPriceHTML", "id": "", "PlaceId": $(this).val(), "ClassType": getUrlVaule("ClassType") }, $(".PriceSetting"), "读取失败");
            }
        }
    });
    //附加价格，暂时无用
    //            $("#TempId").live("change", function () {
    //                CommonGetAjax(5000,"/Common/ashx/Product.ashx", { "Action": "GetOtherPrice", "ClassType": $("#ClassType").val(), "TempId": $(this).val() }, $("#OtherPrice"), "无法获取附加价格");
    //            });
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });

    var DefaultColor = $('#TitleColor').val();
    if (DefaultColor == '') {
        DefaultColor = 'black';
        $('#TitleColor').val(DefaultColor);
    }
    $('#TitleColor').css('backgroundColor', DefaultColor);
    $('#TitleColor').ColorPicker({
        color: $('#TitleColor').val(),
        onShow: function (colpkr) {
            $(colpkr).fadeIn(500);
            return false;
        },
        onHide: function (colpkr) {
            $(colpkr).fadeOut(500);
            return false;
        },
        onChange: function (hsb, hex, rgb) {
            $('#TitleColor').css('backgroundColor', '#' + hex);
            $('#TitleColor').val('#' + hex);
        }
    });
});